2017-09-25 18:41 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003644Kali Linux[All Projects] General Bugpublic2016-10-04 15:25
Reporterfyzbyt 
Assigned Torhertzog 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version2016.2 
Target VersionFixed in Version2017.1 
Summary0003644: Kali ISO build and Netinstall image fail due to upgrade to kernel 4.7.5
DescriptionKali was just updated to version 4.7.5, which is breaking ISO builds using live-build and system builds using the netboot image are now no longer able to build due to a kernel mismatch.

This issue began at the time of this commit http://pkg.kali.org/news/276605
Steps To ReproduceDownload a netinstall iso, or use live build to build an iso.

Attempt to build system using iso.

System will fail to download the kernel and prompt saying that there is a kernel mismatch and ask if the user wants to continue, doing so will prompt with additional errors.
Attached Files

-Relationships
+Relationships

-Notes

~0006021

fyzbyt (reporter)

Kernel 4.7.5. apologies

~0006022

rhertzog (administrator)

I just sent debian-installer 20160704+kali1 which should generate fixed netboot images.

However, I tested the ISO build (in kali-dev) before uploading the new kernel. So can you share with us the failure that you get?
+Notes

-Issue History
Date Modified Username Field Change
2016-10-03 21:05 fyzbyt New Issue
2016-10-03 21:09 fyzbyt Note Added: 0006021
2016-10-03 22:27 g0tmi1k Summary Kali ISO build and Netinstall image fail due to upgrade to kernel 7.5 => Kali ISO build and Netinstall image fail due to upgrade to kernel 4.7.5
2016-10-03 22:27 g0tmi1k Description Updated View Revisions
2016-10-04 07:13 rhertzog Note Added: 0006022
2016-10-04 07:13 rhertzog Assigned To => rhertzog
2016-10-04 07:13 rhertzog Status new => confirmed
2016-10-04 14:22 brokeit File Added: kernel_mismatch.log
2016-10-04 15:25 rhertzog Status confirmed => resolved
2016-10-04 15:25 rhertzog Fixed in Version => 2017.1
2016-10-04 15:25 rhertzog Resolution open => fixed
+Issue History